開発

pipエラーメモ


pip install –upgrade pip

ValueError: ('Missing distribution spec', '–upgrade')
-が1つ足りない。
微妙にハマったので。
pip install –-upgrade pip
が正しい。

pip install -r requirements.txtでインストールした時に失敗

Could not find a version that satisfies the requirement mysql-connector-python==2.0.3 (from -r requirements.txt (line 17)) (from versions: )
Some externally hosted files were ignored as access to them may be unreliable (use --allow-external mysql-connector-python to allow).
No matching distribution found for mysql-connector-python==2.0.3 (from -r requirements.txt (line 17))

とか、
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-wse70in6/mysqlclient
とかのエラーが出ると、パッケージがインストールされない状態で終了する。
途中までインストールされているように見えるけど。
その場合は、requirements.txtを編集して、エラーが出たパッケージを削除して、再度
pip install -r requirements.txt
をする。